using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Text;

namespace APE.model
{
    public class FSClipboard
    {
		public List<AbstractNode> nodes { get; private set; }
		public DragDropEffects operation { get; private set; }

		public FSClipboard(List<AbstractNode> nodes_in, DragDropEffects operation_in) {
			nodes = nodes_in;
			operation = operation_in;
		}

        public bool isEmpty()
        {
            return (nodes == null) ? true : false;
        }

        public void clear()
        {
            nodes.Clear();
        }
    }
}
